summaryrefslogtreecommitdiffstats
path: root/config/chroot_local-hooks/06-adduser_tor-launcher
diff options
context:
space:
mode:
authorTails developers <amnesia@boum.org>2014-02-21 06:29:40 +0100
committerTails developers <amnesia@boum.org>2014-03-04 17:36:52 +0100
commitb429f7f2a26afae990ff0f54f8ee00699fe10590 (patch)
tree5becc566827e84a075ce0caf45363b9f55775da7 /config/chroot_local-hooks/06-adduser_tor-launcher
parent286d5262aca2e677ac995dc9083cbd2866e6fcc2 (diff)
Add a dedicated user for the tor-launcher.
Diffstat (limited to 'config/chroot_local-hooks/06-adduser_tor-launcher')
-rwxr-xr-xconfig/chroot_local-hooks/06-adduser_tor-launcher13
1 files changed, 13 insertions, 0 deletions
diff --git a/config/chroot_local-hooks/06-adduser_tor-launcher b/config/chroot_local-hooks/06-adduser_tor-launcher
new file mode 100755
index 0000000..f7beab1
--- /dev/null
+++ b/config/chroot_local-hooks/06-adduser_tor-launcher
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+# Create the tor-launcher user.
+#
+# We run Tor Launcher under this user, and give it acces to Tor's
+# control port via adding it to the debian-tor group.
+
+echo "creating the tor-launcher user"
+
+adduser --system --quiet --group tor-launcher
+adduser tor-launcher debian-tor